package day23

import "testing"

func TestReadField(t *testing.T) {
	filename := "example"
	field := ReadField(filename)
	t.Log(field.String())
}

func TestStartNeighbors(t *testing.T) {
	filename := "example"
	field := ReadField(filename)
	startNeighbors := field.Neighbors(Coord{Row: 0, Col: field.StartCol})
	t.Log(startNeighbors)
}

// 5,3
func TestForkNeighbors(t *testing.T) {
	filename := "example"
	field := ReadField(filename)
	startNeighbors := field.Neighbors(Coord{Row: 5, Col: 3})
	t.Log(startNeighbors)
}

func TestSlideNeighbors(t *testing.T) {
	filename := "example"
	field := ReadField(filename)
	startNeighbors := field.Neighbors(Coord{Row: 6, Col: 3})
	t.Log(startNeighbors)
}
