package day23

import "testing"

func TestRunAllPaths(t *testing.T) {
	filename := "example"
	field := ReadField(filename)
	finalPaths := RunAllScenicPaths(field)
	t.Log(finalPaths)

	max := 0
	for _, path := range finalPaths {
		if path.visited.Cardinality() > max {
			max = path.visited.Cardinality()
		}
	}
	t.Logf("max path len is %d", max)

}
